#
# AUTOMATICALLY GENERATED FILE
#    do not edit!
#
#
CXX = c++
AR = ar
RANLIB = ranlib
PERL = /usr/pkg/bin/perl
WINDRES = 

DEFAULT_CXXFLAGS = -I/usr/include -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -Wall -Wundef \
	-I../../lib/win32 -I../../lib/common -I../../lib/compress -I../../lib/crypto -I../../lib/server -I../../lib/backupclient -I../../lib/raidfile  \
	-DBOX_VERSION="\"0.11.1\""
LDFLAGS = -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -rdynamic

ifdef RELEASE
CXXFLAGS = -DBOX_RELEASE_BUILD -O2 $(DEFAULT_CXXFLAGS)
OUTBASE = ../../release
OUTDIR = ../../release/lib/backupstore
DEPENDMAKEFLAGS = RELEASE=1
VARIENT = RELEASE
else
CXXFLAGS = -g $(DEFAULT_CXXFLAGS)
OUTBASE = ../../debug
OUTDIR = ../../debug/lib/backupstore
DEPENDMAKEFLAGS =
VARIENT = DEBUG
endif

HIDE     = $(if $(V),,@)
_CXX     = $(if $(V),$(CXX),     @ echo "  [CXX]     $<" && $(CXX))
_LINK    = $(if $(V),$(CXX),     @ echo "  [LINK]    $@" && $(CXX))
_WINDRES = $(if $(V),$(WINDRES), @ echo "  [WINDRES] $<" && $(WINDRES))
_AR      = $(if $(V),$(AR),      @ echo "  [AR]      $@" && $(AR))
_RANLIB  = $(if $(V),$(RANLIB),  @ echo "  [RANLIB]  $@" && $(RANLIB))
_PERL    = $(if $(V),$(PERL),    @ echo "  [PERL]    $@" && $(PERL) >/dev/null)

$(OUTDIR)/backupstore.a: $(OUTDIR)/BackupStoreAccountDatabase.o $(OUTDIR)/BackupStoreAccounts.o $(OUTDIR)/BackupStoreCheck.o $(OUTDIR)/BackupStoreCheck2.o $(OUTDIR)/BackupStoreCheckData.o $(OUTDIR)/BackupStoreConfigVerify.o $(OUTDIR)/BackupStoreInfo.o $(OUTDIR)/BackupStoreRefCountDatabase.o $(OUTDIR)/StoreStructure.o
	$(HIDE) (echo -n > $(OUTDIR)/backupstore.a; rm $(OUTDIR)/backupstore.a)
	$(_AR) cq $(OUTDIR)/backupstore.a $(OUTDIR)/BackupStoreAccountDatabase.o $(OUTDIR)/BackupStoreAccounts.o $(OUTDIR)/BackupStoreCheck.o $(OUTDIR)/BackupStoreCheck2.o $(OUTDIR)/BackupStoreCheckData.o $(OUTDIR)/BackupStoreConfigVerify.o $(OUTDIR)/BackupStoreInfo.o $(OUTDIR)/BackupStoreRefCountDatabase.o $(OUTDIR)/StoreStructure.o
	$(_RANLIB) $(OUTDIR)/backupstore.a

$(OUTDIR)/StoreStructure.o: StoreStructure.cpp ../../lib/raidfile/RaidFileController.h ../../lib/win32/emu.h ../../lib/raidfile/RaidFileWrite.h ../../lib/common/CommonException.h StoreStructure.h ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/FileStream.h ../../lib/win32/getopt.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFindOff.h ../../lib/raidfile/RaidFileRead.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupstore\"" -c StoreStructure.cpp -o $(OUTDIR)/StoreStructure.o

$(OUTDIR)/BackupStoreCheckData.o: BackupStoreCheckData.cpp ../../lib/common/BoxException.h ../../lib/common/FileStream.h ../../lib/win32/getopt.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFindOff.h ../../lib/common/CommonException.h BackupStoreCheck.h ../../lib/win32/emu.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig.h ../../lib/backupclient/autogen_BackupStoreException.h ../../lib/common/MemLeakFindOn.h ../../lib/common/NamedLock.h ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupstore\"" -c BackupStoreCheckData.cpp -o $(OUTDIR)/BackupStoreCheckData.o

$(OUTDIR)/BackupStoreRefCountDatabase.o: BackupStoreRefCountDatabase.cpp ../../lib/common/Logging.h ../../lib/raidfile/RaidFileUtil.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h ../../lib/backupclient/BackupStoreException.h ../../lib/common/CommonException.h ../../lib/common/BoxTime.h ../../lib/common/EndStructPackForWire.h ../../lib/win32/emu.h ../../lib/raidfile/RaidFileException.h ../../lib/raidfile/RaidFileController.h BackupStoreAccounts.h BackupStoreAccountDatabase.h ../../lib/common/MemLeakFindOff.h BackupStoreRefCountDatabase.h ../../lib/common/IOStream.h ../../lib/win32/getopt.h ../../lib/common/FileStream.h ../../lib/common/BeginStructPackForWire.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupstore\"" -c BackupStoreRefCountDatabase.cpp -o $(OUTDIR)/BackupStoreRefCountDatabase.o

$(OUTDIR)/BackupStoreAccounts.o: BackupStoreAccounts.cpp ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h BackupStoreInfo.h ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/EndStructPackForWire.h ../../lib/common/BoxPortsAndFiles.h ../../lib/backupclient/BackupStoreFilename.h ../../lib/common/CommonException.h ../../lib/backupclient/BackupStoreDirectory.h ../../lib/common/BoxTime.h ../../lib/backupclient/BackupStoreFilenameClear.h ../../lib/common/StreamableMemBlock.h ../../lib/raidfile/RaidFileWrite.h ../../lib/win32/emu.h BackupStoreAccounts.h ../../lib/common/IOStream.h BackupStoreAccountDatabase.h ../../lib/common/MemLeakFindOff.h BackupStoreRefCountDatabase.h ../../lib/common/FileStream.h ../../lib/win32/getopt.h ../../lib/common/UnixUser.h ../../lib/common/BeginStructPackForWire.h ../../lib/backupclient/BackupStoreConstants.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupstore\"" -c BackupStoreAccounts.cpp -o $(OUTDIR)/BackupStoreAccounts.o

$(OUTDIR)/BackupStoreConfigVerify.o: BackupStoreConfigVerify.cpp ../../lib/server/SocketStream.h ../../lib/common/BoxTime.h ../../lib/common/CommonException.h ../../lib/common/BoxPortsAndFiles.h ../../lib/win32/emu.h ../../lib/server/Daemon.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/WaitForEvent.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/server/ServerStream.h ../../lib/common/FileStream.h ../../lib/server/ServerException.h ../../lib/win32/getopt.h ../../lib/common/Configuration.h ../../lib/server/TLSContext.h ../../lib/server/SocketListen.h ../../lib/server/SocketStreamTLS.h ../../lib/server/Socket.h ../../lib/server/SSLLib.h ../../lib/common/IOStream.h BackupStoreConfigVerify.h ../../lib/common/MemLeakFindOff.h ../../lib/server/ServerTLS.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupstore\"" -c BackupStoreConfigVerify.cpp -o $(OUTDIR)/BackupStoreConfigVerify.o

$(OUTDIR)/BackupStoreAccountDatabase.o: BackupStoreAccountDatabase.cpp ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h ../../lib/common/BoxTime.h ../../lib/common/CommonException.h ../../lib/backupclient/BackupStoreException.h ../../lib/win32/emu.h ../../lib/common/FdGetLine.h ../../lib/common/MemLeakFindOff.h BackupStoreAccountDatabase.h ../../lib/common/IOStream.h ../../lib/win32/getopt.h ../../lib/common/FileStream.h ../../lib/common/FileModificationTime.h ../../lib/common/Guards.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupstore\"" -c BackupStoreAccountDatabase.cpp -o $(OUTDIR)/BackupStoreAccountDatabase.o

$(OUTDIR)/BackupStoreInfo.o: BackupStoreInfo.cpp ../../lib/win32/getopt.h ../../lib/common/FileStream.h ../../lib/common/BeginStructPackForWire.h ../../lib/raidfile/RaidFileRead.h ../../lib/common/MemLeakFindOff.h ../../lib/common/IOStream.h ../../lib/backupclient/BackupStoreException.h ../../lib/common/CommonException.h ../../lib/common/EndStructPackForWire.h ../../lib/win32/emu.h ../../lib/raidfile/RaidFileWrite.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFinder.h BackupStoreInfo.h ../../lib/common/Box.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupstore\"" -c BackupStoreInfo.cpp -o $(OUTDIR)/BackupStoreInfo.o

$(OUTDIR)/BackupStoreCheck.o: BackupStoreCheck.cpp ../../lib/raidfile/RaidFileRead.h ../../lib/common/MemLeakFindOff.h ../../lib/common/IOStream.h ../../lib/backupclient/BackupClientFileAttributes.h ../../lib/win32/getopt.h ../../lib/common/ReadLoggingStream.h ../../lib/common/FileStream.h ../../lib/common/BoxException.h ../../lib/backupclient/BackupStoreConstants.h ../../lib/backupclient/RunStatusProvider.h ../../lib/common/BoxConfig.h ../../lib/backupclient/autogen_BackupStoreException.h ../../lib/common/MemLeakFindOn.h ../../lib/common/NamedLock.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/backupclient/BackupStoreObjectMagic.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h ../../lib/backupclient/BackupStoreFile.h StoreStructure.h ../../lib/common/BoxTime.h ../../lib/backupclient/BackupStoreDirectory.h ../../lib/backupclient/BackupStoreFilename.h ../../lib/common/CommonException.h ../../lib/raidfile/RaidFileWrite.h ../../lib/win32/emu.h ../../lib/common/StreamableMemBlock.h ../../lib/backupclient/BackupStoreFilenameClear.h BackupStoreCheck.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupstore\"" -c BackupStoreCheck.cpp -o $(OUTDIR)/BackupStoreCheck.o

$(OUTDIR)/BackupStoreCheck2.o: BackupStoreCheck2.cpp ../../lib/common/MemLeakFindOff.h ../../lib/backupclient/BackupClientFileAttributes.h ../../lib/common/IOStream.h ../../lib/raidfile/RaidFileRead.h ../../lib/backupclient/BackupStoreConstants.h ../../lib/common/BeginStructPackForWire.h ../../lib/common/ReadLoggingStream.h ../../lib/win32/getopt.h ../../lib/backupclient/BackupStoreFileWire.h ../../lib/common/BoxException.h ../../lib/common/FileStream.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h BackupStoreInfo.h ../../lib/common/Box.h ../../lib/backupclient/BackupStoreFile.h StoreStructure.h ../../lib/common/MemLeakFinder.h ../../lib/backupclient/BackupStoreObjectMagic.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig.h ../../lib/backupclient/RunStatusProvider.h ../../lib/backupclient/autogen_BackupStoreException.h ../../lib/common/MemLeakFindOn.h ../../lib/common/NamedLock.h ../../lib/common/StreamableMemBlock.h ../../lib/win32/emu.h ../../lib/raidfile/RaidFileWrite.h BackupStoreCheck.h ../../lib/backupclient/BackupStoreFilenameClear.h ../../lib/crypto/MD5Digest.h ../../lib/common/CommonException.h ../../lib/backupclient/BackupStoreFilename.h ../../lib/common/BoxTime.h ../../lib/backupclient/BackupStoreDirectory.h ../../lib/common/EndStructPackForWire.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/backupstore\"" -c BackupStoreCheck2.cpp -o $(OUTDIR)/BackupStoreCheck2.o


clean:
	-rm -rf $(OUTDIR)/*
ifndef SUBCLEAN
	$(HIDE) (cd ../../lib/win32; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/common; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/compress; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/crypto; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/server; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/backupclient; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/raidfile; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
endif



buildsystem:
	(cd ../..; perl ./infrastructure/makebuildenv.pl )

